import pyglet
from pyglet.gl import *

import image
from constants import *

help_screen = pyglet.window.Window()

#help
help = image.load('help')

# Enable alpha blending
glEnable(GL_BLEND)
glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA)

#detect in area of 'return' button
def returnSelected(x, y):
    if x > 249 and x < 382 and y > 43 and y < 80:
        return True
    else:
        return False

@help_screen.event
def on_mouse_press(x, y, button, modifiers):
    if returnSelected(x, y):
        import __main__
        help_screen.set_visible(visible=False)
        __main__.menu_screen.set_visible()

@help_screen.event
def on_draw():
    help_screen.clear()

    help.blit(0,0)