FONTS = ['Andale Mono', 'Courier']

START_LIVES = 5
LIFE_GAP = 4

START_SCORE = 20
TOWER_COST = 5

TILE_SIZE = 32
MAP_WIDTH = 18 * TILE_SIZE
MAP_HEIGHT = 15 * TILE_SIZE
START_COLUMN = 2

INTERVAL = 1/60.0

INACTIVE_HEALTH = (192, 150, 150)
ACTIVE_HEALTH = (255, 200, 200)
INACTIVE_ARMOUR = (150, 150, 192)
ACTIVE_ARMOUR = (200, 200, 255)
INACTIVE_SPEED = (150, 192, 150)
ACTIVE_SPEED = (200, 255, 200)

WAVE_TIME = 30
WAVE_TIME_DEC = 1
ENEMY_SPEED = TILE_SIZE * INTERVAL
ENEMY_SPEED_INC = 0.4

TOWER_RANGE = 3.9 * TILE_SIZE

SLOW_SPEED_TIME = 2
SHOOT_TIME = 2

BULLET_SPEED = 2.0

TOURNAMENT_SIZE = 3
MAX_POP_SIZE = 20
